> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/it/editori/exoclick-rtb/bid-request.md).

# Richiesta di offerta RTB di ExoClick

La richiesta di offerta RTB di ExoClick viene effettuata usando JSON per POST e un URL per GET. Le richieste XML non sono consentite per POST.

## Header della richiesta di offerta

* **Header HTTP della versione RTB di ExoClick**: `x-exadsrtb-version: 1.0`
* **Header HTTP Keep-Alive**: `Connection: Keep-Alive`
* **JSON del contenuto**: `Content-Type: application/json`
* **Header di codifica dei dati**: `Accept-Encoding`

### Oggetto della richiesta di offerta

| Attributo         | Obbligatorio?            | Descrizione                                                                                                                                                                                             |
| ----------------- | ------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`              | Sì                       | ID univoco della richiesta di offerta (stringa)                                                                                                                                                         |
| `ip`              | Sì                       | Indirizzo IP dell'utente (stringa)                                                                                                                                                                      |
| `language`        | Sì                       | Lingua del browser usando ISO-639-1-alpha-2 (stringa)                                                                                                                                                   |
| `remove_addr`     | No                       | Indirizzo IP principale dell'utente (stringa)                                                                                                                                                           |
| `x_forwarded_for` | No                       | Indirizzo IP X-FORWARDED-FOR dell'utente oppure vuoto se non impostato (stringa)                                                                                                                        |
| `type`            | Sì                       | Tipo di richiesta. Può essere “banner”, “popunder”, "direct\_link", "email\_click"\*, “push\_notification” o "in\_page\_push\_notification" (stringa)                                                   |
| `ua`              | Sì                       | User agent del browser (stringa)                                                                                                                                                                        |
| `url`             | Sì                       | URL completo della pagina in cui verrà mostrato l'annuncio (stringa)                                                                                                                                    |
| `user_id`         | Sì                       | ID utente univoco (stringa)                                                                                                                                                                             |
| `sub`             | No                       | Dovrebbe essere un numero tra sei e dieci cifre: non usare zeri all'inizio degli Sub ID.                                                                                                                |
| `export`          | Sì                       | Tipo di risposta. Può essere "json" o "xml" (stringa)                                                                                                                                                   |
| `keyword`         | No                       | Le parole chiave possono essere utilizzate per garantire che le zone pubblicitarie ricevano il giusto tipo di pubblicità. Le parole chiave dovrebbero essere una stringa di parole separate da virgole. |
| `size`            | Richiesto per banner\*\* | Dimensione del tipo di annuncio dell'editore (stringa)                                                                                                                                                  |
| `el`              | No                       | Email codificata in Base64. Disponibile solo per Email Clicks e Direct Link (stringa)                                                                                                                   |

***

**Note:**

* `"email_click"` come tipo deve essere specificato solo nelle richieste GET.
* Nelle richieste Push, se size viene omesso, il valore predefinito sarà `192x192` per retrocompatibilità.
* Gli Sub ID dovrebbero essere un numero tra 1 e [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32.maxvalue?view=net-5.0): Non usare zeri all'inizio degli Sub ID.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/it/editori/exoclick-rtb/bid-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
